Bug 426935 - rrdtool-1.3 requires fonts to work.
rrdtool-1.3 requires fonts to work.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 11:34 EST by Jan ONDREJ
Modified: 2008-01-02 20:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 11:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2007-12-28 11:34:48 EST
Description of problem:
Fedora 8 rrdtool does not work without fonts. I have servers without graphical
console, so fonts are not installed. rrdtool does not work without fonts.

Version-Release number of selected component (if applicable):
rrdtool-1.3-0.1.beta1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. uninstall all fonts
2. try to generate rrd-graphs
  
Actual results:
No fonts found; this probably means that the fontconfig
library is not correctly configured. You may need to
edit the fonts.conf configuration file. More information
about fontconfig can be found in the fontconfig(3) manual
page and on http://fontconfig.org


Expected results:
nothing, created image

Additional info:
I am using "dejavu-fonts" for RRD and it's working, but my images displays last
line wrongly (moved right outside of image). Is there a better font or is it a
bug of rrdtool? See differences on:
  F7: http://kosice.upjs.sk/sagator/day-count.png
  F8: http://central.lf.upjs.sk/sagator/day-count.png

Please, include a font in Requires section?
Comment 1 Martin Poole 2007-12-30 10:20:53 EST
The rrd font was removed upstream in change

  2007-08-03 19:45  oetiker

        * libraries, src/DejaVuSansMono-Roman.ttf, src/VeraMono.ttf: remove
          some things we do not need anymore in 1.3


Simply installing dejavu-lgc-fonts should restore previous functionality.
Comment 2 Jan ONDREJ 2007-12-30 10:27:05 EST
I know, just add please this to Requires in spec file.

To my problem, just first image in incorrectly rendered, others are ok.
Comment 3 Jarod Wilson 2008-01-02 11:03:31 EST
Done. Fixed in rawhide, will push for f8 soon as well.
Comment 4 Fedora Update System 2008-01-02 20:43:35 EST
rrdtool-1.3-0.4.beta3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.